   function X=adfft2(N1,N2,x,GRAPH)
 %
 % function X=adfft2(N1,N2,xGRAPH)
 % Two-dimensional rectangular sequence analysis
 %
 % N1,N2 - number of values	 X  - given sequnce spectrum
 % x - given sequence
 % GRAPH - graph display
 %	    (for GRAPH=1)
 %
   if exist('N1')==0                      % Default values
     N1=20; N2=20; GRAPH=1;
     x=zeros(N1,N2); x(N1/2:N1/2+2, N2/2:N2/2+2)= ones(3);
   end
 %
 % Spectum evaluation
 %
   X=fft2(x); X=fftshift(X);
   XX=zeros(N1+2,N2+2); XX(2:N1+1,2:N2+1)=X;
 %
   if GRAPH~=1, return, end		% Result display
 %
   delete(get(0,'children'))  
   figure('name','ADFFT2','units','normal','position',[0.29,0.01,0.7,0.8]); 
  
   axes('position',[0.05 0.05 0.9 0.85],'xtick',[],'ytick',[],'box','on')
     title('RECTANGULAR SEQUENCE MAGNITUDE SPECTRUM')
   axes('position',[0.1 0.1 0.8 0.75]);
     mesh(abs(XX));grid on;
     axis([0 22 0 22 -inf 8]);
     
